net/libupnp - The NetBSD Packages Collection

Portable Universal Plug and Play (UPnP) SDK

  The portable SDK for UPnP* Devices (libupnp) provides developers with an
API and open source code for building control points, devices, and bridges
that are compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification and support several operating systems like
Linux, *BSD, Solaris and others.

  UPnP is an architecture that enables discovery, event notification, and
control of devices on a network, independent of operating system,
programming language, or physical network connection.  UPnP is based on
common Internet standards and specifications such as TCP/IP, HTTP, and XML.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibupnp-1.8.4nb1.tgz
NetBSD 8.0earmv7hflibupnp-1.8.4nb1.tgz
NetBSD 8.0earmv7hflibupnp-1.8.4nb1.tgz
NetBSD 8.0earmv7hflibupnp-1.14.7.tgz
NetBSD 8.0i386libupnp-1.8.4nb1.tgz
NetBSD 8.0i386libupnp-1.8.4nb1.tgz
NetBSD 8.0i386libupnp-1.8.4nb1.tgz
NetBSD 8.0i386libupnp-1.14.7.tgz
NetBSD 8.0powerpclibupnp-1.8.4nb1.tgz
NetBSD 8.0powerpclibupnp-1.8.4nb1.tgz
NetBSD 8.0powerpclibupnp-1.8.4nb1.tgz
NetBSD 8.0powerpclibupnp-1.14.7.tgz
NetBSD 8.0powerpclibupnp-1.14.7.tgz
NetBSD 8.0x86_64libupnp-1.8.4nb1.tgz
NetBSD 8.0x86_64libupnp-1.8.4nb1.tgz
NetBSD 8.0x86_64libupnp-1.8.4nb1.tgz
NetBSD 8.0x86_64libupnp-1.14.7.tgz
NetBSD 9.0aarch64libupnp-1.14.7.tgz
NetBSD 9.0aarch64libupnp-1.8.4nb1.tgz
NetBSD 9.0aarch64libupnp-1.8.4nb1.tgz
NetBSD 9.0aarch64libupnp-1.8.4nb1.tgz
NetBSD 9.0aarch64libupnp-1.14.7.tgz
NetBSD 9.0alphalibupnp-1.14.7.tgz
NetBSD 9.0alphalibupnp-1.8.4nb1.tgz
NetBSD 9.0alphalibupnp-1.14.7.tgz
NetBSD 9.0earmlibupnp-1.8.4nb1.tgz
NetBSD 9.0earmlibupnp-1.14.7.tgz
NetBSD 9.0earmlibupnp-1.14.7.tgz
NetBSD 9.0earmv6hflibupnp-1.14.7.tgz
NetBSD 9.0earmv6hflibupnp-1.8.4nb1.tgz
NetBSD 9.0earmv6hflibupnp-1.8.4nb1.tgz
NetBSD 9.0earmv6hflibupnp-1.8.4nb1.tgz
NetBSD 9.0earmv6hflibupnp-1.8.4nb1.tgz
NetBSD 9.0earmv6hflibupnp-1.14.7.tgz
NetBSD 9.0earmv7hflibupnp-1.14.7.tgz
NetBSD 9.0earmv7hflibupnp-1.8.4nb1.tgz
NetBSD 9.0earmv7hflibupnp-1.8.4nb1.tgz
NetBSD 9.0earmv7hflibupnp-1.8.4nb1.tgz
NetBSD 9.0earmv7hflibupnp-1.8.4nb1.tgz
NetBSD 9.0earmv7hflibupnp-1.8.4nb1.tgz
NetBSD 9.0earmv7hflibupnp-1.14.7.tgz
NetBSD 9.0earmv7hflibupnp-1.14.7.tgz
NetBSD 9.0i386libupnp-1.8.4nb1.tgz
NetBSD 9.0i386libupnp-1.8.4nb1.tgz
NetBSD 9.0i386libupnp-1.8.4nb1.tgz
NetBSD 9.0i386libupnp-1.14.7.tgz
NetBSD 9.0m68klibupnp-1.8.4nb1.tgz
NetBSD 9.0m68klibupnp-1.14.7.tgz
NetBSD 9.0m68klibupnp-1.14.7.tgz
NetBSD 9.0mips64eblibupnp-1.14.7.tgz
NetBSD 9.0mips64eblibupnp-1.8.4nb1.tgz
NetBSD 9.0mips64eblibupnp-1.8.4nb1.tgz
NetBSD 9.0mips64eblibupnp-1.8.4nb1.tgz
NetBSD 9.0mips64eblibupnp-1.14.7.tgz
NetBSD 9.0mipsellibupnp-1.14.7.tgz
NetBSD 9.0mipsellibupnp-1.8.4nb1.tgz
NetBSD 9.0mipsellibupnp-1.8.4nb1.tgz
NetBSD 9.0mipsellibupnp-1.14.7.tgz
NetBSD 9.0powerpclibupnp-1.14.7.tgz
NetBSD 9.0powerpclibupnp-1.8.4nb1.tgz
NetBSD 9.0powerpclibupnp-1.8.4nb1.tgz
NetBSD 9.0powerpclibupnp-1.8.4nb1.tgz
NetBSD 9.0powerpclibupnp-1.14.7.tgz
NetBSD 9.0sh3ellibupnp-1.14.7.tgz
NetBSD 9.0sh3ellibupnp-1.8.4nb1.tgz
NetBSD 9.0sh3ellibupnp-1.8.4nb1.tgz
NetBSD 9.0sh3ellibupnp-1.14.7.tgz
NetBSD 9.0sparc64libupnp-1.14.7.tgz
NetBSD 9.0sparc64libupnp-1.8.4nb1.tgz
NetBSD 9.0sparc64libupnp-1.14.7.tgz
NetBSD 9.0sparclibupnp-1.14.7.tgz
NetBSD 9.0sparclibupnp-1.8.4nb1.tgz
NetBSD 9.0sparclibupnp-1.8.4nb1.tgz
NetBSD 9.0sparclibupnp-1.14.7.tgz
NetBSD 9.0vaxlibupnp-1.8.4nb1.tgz
NetBSD 9.0vaxlibupnp-1.8.4nb1.tgz
NetBSD 9.0vaxlibupnp-1.14.7.tgz
NetBSD 9.0vaxlibupnp-1.14.7.tgz
NetBSD 9.0x86_64libupnp-1.14.7.tgz
NetBSD 9.0x86_64libupnp-1.14.7.tgz
NetBSD 9.0x86_64libupnp-1.8.4nb1.tgz
NetBSD 9.0x86_64libupnp-1.8.4nb1.tgz
NetBSD 9.0x86_64libupnp-1.8.4nb1.tgz
NetBSD 9.0x86_64libupnp-1.14.7.tgz
NetBSD 9.0x86_64libupnp-1.14.7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

debug
Enable debugging facilities in the package.
inet6
Enable support for IPv6.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.